%define		date	2005.08.09

Name:           live
Version:        0
Release:        0.0.%{date}.%{mysig}
Summary:        Live.com streaming libraries

Group:          System Environment/Libraries
License:        LGPL
URL:            http://live.com/liveMedia/
Source0:        http://live.com/liveMedia/public/live.%{date}.tar.gz
Source1:	http://live.com/liveMedia/public/changelog.txt
Patch1:		live-Makefile-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	%{name}-devel = %{version}-%{release}
BuildRequires:	perl

%description
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These 
libraries - which can be compiled for Unix (including Linux and Mac OS X), 
Windows, and QNX (and other POSIX-compliant systems) - can be used 
to build streaming applications.
The libraries can also be used to stream, receive, and process MPEG, 
H.263+ or JPEG video, and several audio codecs. They can easily be 
extended to support additional (audio and/or video) codecs, and can 
also be used to build basic RTSP or SIP clients and servers, and have 
been used to add streaming support to existing media player applications.

%package	devel
Summary:	Development files for live.com streaming libraries
Group:		Development/Libraries
Provides:	live = %{version}-%{release}
Obsoletes:	live < 0:0.lvn.10.2005.08.09

%description	devel
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These 
libraries - which can be compiled for Unix (including Linux and Mac OS X), 
Windows, and QNX (and other POSIX-compliant systems) - can be used 
to build streaming applications.
The libraries can also be used to stream, receive, and process MPEG, 
H.263+ or JPEG video, and several audio codecs. They can easily be 
extended to support additional (audio and/or video) codecs, and can 
also be used to build basic RTSP or SIP clients and servers, and have 
been used to add streaming support to existing media player applications.

%prep
%setup -q -n %{name}
%patch1
# Fix broken includes
perl -pi -e "s#strstream.h#strstream#g" \
	groupsock/Groupsock.cpp groupsock/NetInterface.cpp
install -pm 644 %{SOURCE1} .

%build
./genMakefiles linux
make

%install
rm -rf $RPM_BUILD_ROOT

# There is no make install!
SUBDIRS="BasicUsageEnvironment groupsock liveMedia UsageEnvironment"
for i in $SUBDIRS; do
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/$i;
	# .a
	install -pm 644 `find $i -name \*.a` \
		$RPM_BUILD_ROOT%{_libdir}/%{name}/$i;
	# .hh, .h
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/$i/include;
	install -pm 644 `find $i -name \*.hh -or -name \*.h` \
		$RPM_BUILD_ROOT%{_libdir}/%{name}/$i/include;
done;

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(-,root,root,0755)
%doc COPYING README changelog.txt
%{_libdir}/%{name}

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0-0.0.2005.08.09.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Tue Aug  9 2005 Ville Skyttä <ville.skytta at iki.fi> 0:0-0.lvn.10.2005.08.09
- 2005.08.09.
- Rename binary package to -devel.
- Ship changelog.txt.
- Clean up unused stuff from specfile.

* Tue Dec 28 2004 Dams <anvil[AT]livna.org> - 0:0-0.lvn.10.2004.12.23
- Updated to version 2004.12.23

* Fri Nov 12 2004 Dams <anvil[AT]livna.org> - 0:0-0.lvn.9.2004.11.11a
- Updated to version 2004.11.11a

* Thu May 20 2004 Dams <anvil[AT]livna.org> - 0:0-0.lvn.8.2004.05.19
- Added Source1:changelog.txt

* Thu May 20 2004 Dams <anvil[AT]livna.org> - 0:0-0.lvn.7.2004.05.19
- Updated version
- URL in Source0

* Sun Apr  4 2004 Dams <anvil[AT]livna.org> 0:0-0.lvn.6.2004.03.31
- Removed testprograms package

* Wed Mar 31 2004 Dams <anvil[AT]livna.org> 0:0-0.lvn.5.2004.03.31
- Updated version 2004-03-31

* Wed Jan  7 2004 Dams <anvil[AT]livna.org> 0:0-0.fdr.4.2003.11.25
- Patch from Marius to make makefile honor rpm optflags
- Removed URL in Source0

* Wed Jan  7 2004 Dams <anvil[AT]livna.org> 0:0-0.fdr.3.2003.11.25
- Removed all .o files

* Fri Dec 12 2003 Dams <anvil[AT]livna.org> 0:0-0.fdr.2.2003.11.25
- Snipped the devel pacakge. 

* Fri Dec 12 2003 Dams <anvil[AT]livna.org> 0:0-0.fdr.1.2003.11.25
- Version-Release respecting fedora.us guidelines
- Spec file cleanup. 

* Sat Nov 29 2003 Peter Backlund <peter dot backlund at home dot se> - 0:0.0.2003.11.25-0.fdr.1
- Added 0.0. to version, to allow for upgrade to 0.x/1.x release
 
* Sat Nov 29 2003 Peter Backlund <peter dot backlund at home dot se> - 0:2003.11.25-0.fdr.1
- New upstream release

* Sun Nov 16 2003 Peter Backlund <peter dot backlund at home dot se> - 0:%{date}-0.fdr.2
- Removed unnecessary BuildReq.
- Removed smp job macro.
- Replaced sed with perl.

* Fri Nov 14 2003 Peter Backlund <peter dot backlund at home dot se> - 0:%{date}-0.fdr.1
- Initial RPM release.
